自治体単位の CityGML zip リダイレクト
GET
/datacatalog/citygml/{spec}/citygml.zip
const url = 'https://api.plateauview.mlit.go.jp/datacatalog/citygml/13101-latest/citygml.zip';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.plateauview.mlit.go.jp/datacatalog/citygml/13101-latest/citygml.zip指定した自治体・整備年度の CityGML zip ファイルへ 302 リダイレクトする安定 URL。 実体ファイルは PLATEAU CMS から配信されるため、CMS 上のアセットパスが変わっても アプリケーション側の URL は維持できます。
パスパラメータ spec の書式:
<cityCode>-<year|latest>
cityCode: 5桁の市区町村コードyear:- 西暦4桁: その整備年度のデータ
latest: 利用可能な最新整備年度のデータ
例:
/datacatalog/citygml/13101-2025/citygml.zip/datacatalog/citygml/13101-latest/citygml.zip
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” spec
required
string
Example
13101-latestResponses
Section titled “ Responses ”PLATEAU CMS 上の zip ファイル URL へリダイレクト
Spec の書式が不正
Media type application/json
object
Example generated
{}該当する CityGML データセットが見つからない
Media type application/json
object
Example generated
{}
© 2026
Project PLATEAU